[tool.poetry]
name = "GeoIP-Network"
version = "0.1.2"
description = "The official python interface to GeoIP.Network"
authors = ["Tim Armstrong <tim@plaintextnerds.com>"]
maintainers = ["Tim Armstrong <tim@plaintextnerds.com>"]
license = "MIT"
readme = "Readme.md"
homepage = "https://geoip.network/"
repository = "https://gitlab.com/geoip.network/python-library"
classifiers = [
    "Programming Language :: Python :: Implementation",
    "Topic :: Internet",
    "Topic :: Software Development :: Libraries",
    "Topic :: Software Development :: Localization",
    "Topic :: System :: Networking :: Monitoring",
    "Topic :: Software Development :: Libraries :: Python Modules"
]
keywords = [
    "geoip",
    "localization",
    "location",
    "ip"
]
include = ["geoip_network"]

[tool.poetry.dependencies]
python = ">=3.7,<4"
requests = "^2.27.1"

[tool.poetry.dev-dependencies]
pytest = "^7.1.2"
pytest-responsemock = "^1.1.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
